상세 컨텐츠

본문 제목

React오류: 'You are running `create-react-app` 4.0.2, which is behind the latest release'

멘토링

by amanda.hyon 2021. 12. 28. 13:02

본문

반응형

위 오류는 nvm을 이용하면서 nodejs를 여러 구버전으로 운영하면서 발생되는 문제로 여겨집니다.

 

만약 이런 오류가 발생한다면..

보통 에러 메시지처럼 create-react-app을 삭제시켜주면 해결될꺼 같았지만...

뜻대로 안되더라구요.

 

이럴 경우 해결방법은 다음의 명령어를 차례로 실행시켜주세요.

#삭제
$ npm uninstall -g create-react-app

#create-react-app 설치
$ npm add create-react-app

#블로그앱 생성
$ npx create-react-app blog

npm uninstall 실행결과 화면
npm add create-react-app 실행결과 화면

728x90
반응형

관련글 더보기

댓글 영역